gsw_dynamic_enthalpy {gsw} | R Documentation

## Dynamic enthalpy of seawater (75-term equation)

### Description

Dynamic enthalpy of seawater (75-term equation)

### Usage

    gsw_dynamic_enthalpy(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

dynamic enthalpy [ J/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_enthalpy.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <-c( 28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    p <- c(      10,      50,     125,     250,     600,    1000)
    de <- gsw_dynamic_enthalpy(SA, CT, p)
    expect_equal(de/1000, c(0.097864698087770, 0.489161476686235, 1.220512192086506,
                          2.433731199531144, 5.833880057399701, 9.711443860944032))

[Package gsw version 1.0-5 Index]